TV List
curl --request GET \
--url https://api.themoviedb.org/3/genre/tv/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/genre/tv/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/genre/tv/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"genres": [
{
"id": 10759,
"name": "Action & Adventure"
},
{
"id": 16,
"name": "Animation"
},
{
"id": 35,
"name": "Comedy"
},
{
"id": 80,
"name": "Crime"
},
{
"id": 99,
"name": "Documentary"
},
{
"id": 18,
"name": "Drama"
},
{
"id": 10751,
"name": "Family"
},
{
"id": 10762,
"name": "Kids"
},
{
"id": 9648,
"name": "Mystery"
},
{
"id": 10763,
"name": "News"
},
{
"id": 10764,
"name": "Reality"
},
{
"id": 10765,
"name": "Sci-Fi & Fantasy"
},
{
"id": 10766,
"name": "Soap"
},
{
"id": 10767,
"name": "Talk"
},
{
"id": 10768,
"name": "War & Politics"
},
{
"id": 37,
"name": "Western"
}
]
}GENRES
TV List
This endpoint get the list of official genres for TV shows.
GET
/
3
/
genre
/
tv
/
list
TV List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Specifies the language in which the response should be returned.
Example:
"en-US"
Response
200 - application/json
tv list
This array is the collection or list of categories that classify various types of TV shows based on their thematic and stylistic elements.
Show child attributes
Show child attributes
Example:
[
{ "id": 10759, "name": "Action & Adventure" },
{ "id": 16, "name": "Animation" },
{ "id": 35, "name": "Comedy" },
{ "id": 80, "name": "Crime" },
{ "id": 99, "name": "Documentary" },
{ "id": 18, "name": "Drama" },
{ "id": 10751, "name": "Family" },
{ "id": 10762, "name": "Kids" },
{ "id": 9648, "name": "Mystery" },
{ "id": 10763, "name": "News" },
{ "id": 10764, "name": "Reality" },
{ "id": 10765, "name": "Sci-Fi & Fantasy" },
{ "id": 10766, "name": "Soap" },
{ "id": 10767, "name": "Talk" },
{ "id": 10768, "name": "War & Politics" },
{ "id": 37, "name": "Western" }
]
⌘I